# Created by pyp2rpm-3.3.7
%define major     0
%define libname   %mklibname xeus-python %major
%define develname %mklibname xeus-python -d

%global pypi_name xeus_python
%global pypi_version %{version}
%define _disable_ld_no_undefined 1

Name:           xeus-python
Version:        0.17.1
Release:        %mkrel 1
Summary:        Xeus kernel for python
Group:          Development/Python
License:        MIT
URL:            https://github.com/jupyter-xeus/xeus-python
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools) >= 38.6
BuildRequires:  xeus-python-shell
BuildRequires:  json-devel
BuildRequires:  cppzmq-devel
BuildRequires:  cmake
BuildRequires:  cmake(xeus)
BuildRequires:  cmake(xeus-zmq)
BuildRequires:  cmake(pybind11)
BuildRequires:  cmake(pybind11_json)
BuildRequires:  cmake(xtl)

Requires: %libname = %{version}-%{release}
Requires: xeus-python-shell

%description
xeus-python is a Jupyter kernel for Python based on the native
implementation of the Jupyter protocol xeus.

%package -n %libname
Summary:        Library for applications that use xeus python functionality
Provides:       xeus-python-libs

%description -n %libname
Library for applications that use xeus python functionality.

%package -n %develname
Summary:        Header files for build applications that use xeus python
Requires:       %libname = %{version}-%{release}
Provides:       xeus-python-devel

%description -n %develname
Header files for build applications that use xeus python.

%prep
%autosetup -n %{name}-%{pypi_version}

%build
%cmake -DXPYT_BUILD_STATIC=OFF
%cmake_build

%install
%cmake_install

%check

%files
%{_bindir}/xpython
%{_datadir}/jupyter/kernels/*

%files -n %libname
%{_libdir}/libxeus-python.so.%{major}*

%files -n %develname
%{_includedir}/xeus-python/*.hpp
%{_libdir}/cmake/xeus-python/*.cmake
%{_libdir}/libxeus-python.so


%changelog
* Wed Jul 17 2024 papoteur <papoteur> 0.17.1-1.mga10
+ Revision: 2081846
- new version 0.17.1

* Thu Dec 28 2023 joequant <joequant> 0.15.0-2.mga10
+ Revision: 2023145
- update to py3.12

* Thu Dec 08 2022 papoteur <papoteur> 0.15.0-1.mga9
+ Revision: 1919399
- new 0.15.0

* Sun Jul 10 2022 joequant <joequant> 0.14.2-3.mga9
+ Revision: 1868190
- fix deps
- upgrade deps

* Mon Jun 27 2022 joequant <joequant> 0.14.2-2.mga9
+ Revision: 1866413
- fix libs

* Sun Jun 26 2022 joequant <joequant> 0.14.2-1.mga9
+ Revision: 1866373
- update deps
- imported package xeus-python

